Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Interface ActionController

All Superinterfaces:
  Action

    public interface ActionController

extends Action

`ActionController` encapsulates setter methods used when initializing instances of `Action`. This interface has no dependencies on specific runtime environments such as WebSphere Portal. In the WebSphere Portal environment, `ActionController` objects may be programmatically created using `PropertyBrokerService`, followed by invoking the setter methods of this interface, or may be implicitly created by the runtime when equivalent information is declared in a WSDL file.

The corresponding getter methods in `Action` have detailed descriptions of what the attribute is used for.

Since:
  5.1.0.1
See Also:
  `PropertyBrokerService`, `Parameter`, `ParameterController`, `Action`

Method Summary
`void` | `setActionInvocationMetaData(java.lang.String invocationMetadata)` Sets additional metadata which may be used to invoke targets.
`void` | `setActionNameParameter(java.lang.String value)` Sets the parameter that should be used as a key to determine the action name.
`void` | `setConstantParameters(java.util.Map params)` Sets additional constant parameters associated with the Action, by way of name, value entries in a Map.
`void` | `setDescription(java.lang.String description, java.util.Locale locale)` Sets a localized description for this action.
`void` | `setInitiallyActive(boolean initiallyActive)` Sets if the action is initially active when the owning object (such as a portlet) is active or if it needs to be programmatically activated for each session.
`void` | `setInvokeIfMultipleActionsActive(boolean invokeIfMultipleActive)` Sets if this action should be invoked when other actions on the portlet are simultaneously active due to multiple wires being simultaneously triggered.
`void` | `setName(java.lang.String name)` Sets the name of the action.
`void` | `setParameters(Parameter[] parameters)` Sets the `Parameter` array associated with this action.
`void` | `setTitle(java.lang.String title, java.util.Locale locale)` Sets a localized title for this action.
`void` | `setType(ActionType value)` Sets the type of the action.

Methods inherited from interface com.ibm.portal.propertybroker.property.Action
`getActionInvocationMetaData, getActionNameParameter, getConstantParameters, getDescription, getId, getInvokeIfMultipleActionsActive, getName, getOwningDefinitionId, getParameters, getSupportedLocales, getTitle, getType, isInitiallyActive`

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the name of the action. The value set must not be null, otherwise `IllegalArgumentException` will be thrown.

  Parameters:
    `name` - the name
  See Also:
    `Action.getName()`

### setConstantParameters

    void setConstantParameters(java.util.Map params)

  Sets additional constant parameters associated with the Action, by way of name, value entries in a Map. The values are restricted to String.

  Parameters:
    `params` - a `Map` of constant objects.
  See Also:
    `Action.getConstantParameters()`

### setTitle

    void setTitle(java.lang.String title,
                  java.util.Locale locale)

  Sets a localized title for this action.

  Parameters:
    `title` - a short description for this action for the provided locale
    `locale` - the current locale
  See Also:
    `Action.getTitle(Locale)`

### setDescription

    void setDescription(java.lang.String description,
                        java.util.Locale locale)

  Sets a localized description for this action.

  Parameters:
    `description` - a text description for this action for the provided locale
    `locale` - the current locale
  See Also:
    `Action.getDescription(Locale)`

### setParameters

    void setParameters(Parameter[] parameters)

  Sets the `Parameter` array associated with this action.

  Parameters:
    `parameters` - the array of parameter objects associated with this action - at most one input parameter, zero or more output parameters. The array must contain at least one `Parameter`, otherwise `IllegalArgumentException` will be thrown.
  See Also:
    `Parameter`, `Action.getParameters()`

### setType

    void setType(ActionType value)

  Sets the type of the action. See `ActionType` for a description of action types. The value must not be null, otherwise `IllegalArgumentException` will be thrown.

  Parameters:
    `value` - the type of the action.
  See Also:
    `ActionType`, `Action.getType()`

### setActionInvocationMetaData

    void setActionInvocationMetaData(java.lang.String invocationMetadata)

  Sets additional metadata which may be used to invoke targets.

  Parameters:
    `invocationMetadata` - a string of additional metadata
  See Also:
    `Action.getActionInvocationMetaData()`

### setInitiallyActive

    void setInitiallyActive(boolean initiallyActive)

  Sets if the action is initially active when the owning object (such as a portlet) is active or if it needs to be programmatically activated for each session.

  Parameters:
    `initiallyActive` - boolean value which should be false to make this action initially inactive
  See Also:
    `Action.isInitiallyActive()`

### setInvokeIfMultipleActionsActive

    void setInvokeIfMultipleActionsActive(boolean invokeIfMultipleActive)

  Sets if this action should be invoked when other actions on the portlet are simultaneously active due to multiple wires being simultaneously triggered. If not set, defaults to false and the action will not be invoked.

  Parameters:
    `invokeIfMultipleActive` -
  See Also:
    `Action.getInvokeIfMultipleActionsActive()`

### setActionNameParameter

    void setActionNameParameter(java.lang.String value)

  Sets the parameter that should be used as a key to determine the action name.

  Parameters:
    `the` - action name parameter
  See Also:
    `Action.getActionNameParameter()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD